package br.unirio.processo.general.model;

import br.unirio.processo.general.model.component.RepositorioComponentes;
import br.unirio.processo.general.model.process.Processo;

public class ProcessoCompleto
{
	private RepositorioComponentes repositorio;
	private Processo processo;
	
	public ProcessoCompleto(RepositorioComponentes repositorio, Processo processo)
	{
		this.repositorio = repositorio;
		this.processo = processo;
	}

	public RepositorioComponentes getRepositorio()
	{
		return repositorio;
	}

	public Processo getProcesso()
	{
		return processo;
	}
}