package br.unirio.processo.general.model.instance;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;


public class Instance
{
	private List<Projeto> projetos;
			
	public Instance()
	{
		this.projetos = new ArrayList<Projeto>();
	}
	
	//projetos
	public int getProjetoCount()
	{
		return projetos.size();
	}
	
	public Projeto getProjetoIndex(int index)
	{
		return projetos.get(index);
	}
	
	public Projeto getProjetoPorNome(String nome)
	{
		for (Projeto proj : projetos)
			if (proj.getNome().compareToIgnoreCase(nome) == 0)
				return proj;
		
		return null;
	}
	
	public void addProjeto(Projeto item)
	{
		projetos.add(item);
	}
	
	public void removeProjeto(int index)
	{
		projetos.remove(index);
	}
	
	public Iterator<Projeto> getProjetos()
	{
		return projetos.iterator();
	}
}