package br.unirio.processo.general.model.instance;

public class Projeto
{
	private String nome;
	private String algoritmo;
	private String estrategia;
		
	public Projeto(String nome)
	{
		this.nome = nome;
	}

	public String getNome()
	{
		return nome;
	}

	public String getAlgoritmo()
	{
		return algoritmo;
	}

	public String getEstrategia()
	{
		return estrategia;
	}

	public void setNome(String name)
	{
		this.nome = name;
	}
	
	public void setAlgoritmo(String algoritmo)
	{
		this.algoritmo = algoritmo;
	}
	
	public void setEstrategia(String estrategia)
	{
		this.estrategia = estrategia;
	}
	
	@Override
	public boolean equals(Object o)
	{
		Projeto proj;
		try
		{
			proj = (Projeto) o;
		}
		catch (ClassCastException erro)
		{
			return false;
		}
		if(this.nome == proj.nome)
		{
			return true;
		}
		return false;
	}
	
	public String toString(){
		return this.nome;
	}
}