package br.unirio.processo.general.model.process;

public class Artefato
{
	private String nome;
	private String opcionalidade;
		
	public Artefato(String nome, String opcionalidade)
	{
		this.nome = nome;
		this.opcionalidade = opcionalidade;
	}

	public String getNome()
	{
		return nome;
	}
	
	public String getOpcionalidade()
	{
		return opcionalidade;
	}

	public void setNome(String name)
	{
		this.nome = name;
	}
	
	public void setOpcionalidade(String opc)
	{
		this.opcionalidade = opc;
	}
	
	@Override
	public boolean equals(Object o)
	{
		Artefato artef;
		try
		{
			artef = (Artefato) o;
		}
		catch (ClassCastException erro)
		{
			return false;
		}
		if(this.nome == artef.nome)
		{
			return true;
		}
		return false;
	}
	
	public String toString(){
		return this.nome;
	}
}